Reference
Datasets
List Layers
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/datasets/layers"{
"layers": [
"bronze"
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}List Sources
Path Parameters
layer*string
Value in
"bronze" | "silver" | "gold"Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/datasets/layers/bronze/sources"{
"sources": [
"string"
],
"truncated": false
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}List Tables
Path Parameters
layer*string
Value in
"bronze" | "silver" | "gold"source*string
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/datasets/layers/bronze/sources/string/tables"{
"tables": [
{
"layer": "bronze",
"name": "string",
"source": "string",
"tableKey": "string"
}
],
"truncated": false
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Preview
Path Parameters
table_key*string
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/datasets/tables/string/preview"{
"columns": [
{
"name": "string",
"type": "string"
}
],
"rowCount": 0,
"rows": [
{}
],
"tableKey": "string",
"truncated": true
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Schema
Path Parameters
table_key*string
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/datasets/tables/string/schema"{
"columns": [
{
"name": "string",
"type": "string"
}
],
"tableKey": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Validate Sql
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
selectedTables?array<>
sql*string
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/datasets/validate-sql" \ -H "Content-Type: application/json" \ -d '{ "sql": "string" }'{
"referencedTables": [
"string"
],
"unreferencedTables": [
"string"
],
"unselectedTables": [
"string"
],
"warnings": [
{
"code": "string",
"message": "string",
"table": "string"
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}